# Docker Universal Setup

The quickest way to get started with development is using Docker. This approach works on all operating systems and requires minimal setup.

## Prerequisites

- [Docker](https://docs.docker.com/get-docker/)
- [Docker Compose](https://docs.docker.com/compose/install/)

## Setup Steps

1. Clone the repository (if you haven't already)

2. Copy the example configuration file:

   ```sh
   cp config.json.example config.json
   ```

3. Start the containers using Docker Compose:

   ```sh
   docker compose up
   ```

4. Once the containers are running, access the application at:
   
   [http://localhost:5000](http://localhost:5000)

## Stop the Environment

To stop the containers, press `Ctrl+C` in the terminal where Docker Compose is running, or run:

```sh
docker compose down
```

## Notes

- No local dependencies are required with this method
- This setup is ideal for testing or quick development
- All services (backend, frontend, database) run in containers
