# Windows Client Only Setup with Reverse Proxy

This guide covers setting up a frontend-only development environment on Windows with a reverse proxy to connect to a remote backend.

## Requirements

- NodeJS: 22.14+
- Git
- Docker

## Installation

1. Check if Node.js 22.14+ is installed:
   ```
   node --version
   ```
   If not installed or version is older, follow the [Node.js installation instructions](./FAQ.md#how-do-i-install-nodejs-2214)

2. Clone the repository (if you haven't already)

3. Navigate to the client directory and run the development server:
   ```
   cp config.example.production.json config.json
   cd client
   npm run dev
   ```

4. Access the application at:
   [http://localhost:5000/](http://localhost:5000/)


5. Make sure the images and api calls are being reverse proxied.
