# Development Guide

This guide provides several ways to set up your development environment based on your needs and operating system.

## Setup Options

### [Docker Universal](./develop-docker.md)
The quickest way to get started with minimal setup:
- Works on all operating systems
- Uses Docker Compose
- No need to install dependencies locally


### [Windows Client Only](./develop-windows-client.md)
Frontend development on Windows with reverse proxy:
- Only frontend dependencies required
- Uses reverse proxy to connect to remote backend
- Lightweight setup

### [Linux Setup](./develop-linux.md)
Complete development environment for Linux:
- Local dependency installation
- Full development stack
- IDE configuration

## Getting Help

For additional assistance, check the [FAQ](./FAQ.md).