from dataclasses import dataclass, field

from .base import Paysite, Service_Post, Service_User


@dataclass
class User(Service_User):
    def profile(self, artist: dict) -> str:
        return f"https://boosty.to/{(artist or {}).get('id')}"


@dataclass
class Post(Service_Post):
    def link(self, post_id: str, user_id: str) -> str:
        return f"https://boosty.to/{user_id}/posts/{post_id}"


@dataclass
class Boosty(Paysite):
    name: str = "boosty"
    title: str = "Boosty"
    user: User = field(default_factory=User)
    post: Post = field(default_factory=Post)
    color: str = "#fd6035"
